Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform
Class AbstractLensSupport

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.AbstractLensSupport

All Implemented Interfaces:
  LensSupport

Direct Known Subclasses:
  LayoutLensSupport, ViewLensSupport

public abstract class AbstractLensSupport
extends Object
implements LensSupport

A class to make it easy to add an examining lens to a jung graph application. See HyperbolicTransformerDemo, ViewLensSupport and LayoutLensSupport for examples of how to use it.

Author:
  Tom Nelson - RABA Technologies

Nested Class Summary
`static class` | `AbstractLensSupport.Lens` the background for the hyperbolic projection
`static class` | `AbstractLensSupport.LensControls` the background for the hyperbolic projection

Field Summary
`protected String` | `defaultToolTipText`
`protected VisualizationViewer.GraphMouse` | `graphMouse`
`protected static String` | `instructions`
`protected AbstractLensSupport.Lens` | `lens`
`protected AbstractLensSupport.LensControls` | `lensControls`
`protected ModalGraphMouse` | `lensGraphMouse`
`protected LensTransformer` | `lensTransformer`
`protected MutableTransformer` | `savedViewTransformer`
`protected VisualizationViewer` | `vv`

Constructor Summary
`AbstractLensSupport(VisualizationViewer vv, ModalGraphMouse lensGraphMouse)` create the base class, setting common members and creating a custom GraphMouse

Method Summary
`void` | `activate(boolean state)`
`ModalGraphMouse` | `getGraphMouse()`
`LensTransformer` | `getLensTransformer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.LensSupport
`activate, deactivate`

Field Detail

### vv

    protected VisualizationViewer vv

### graphMouse

    protected VisualizationViewer.GraphMouse graphMouse

### savedViewTransformer

    protected MutableTransformer savedViewTransformer

### lensTransformer

    protected LensTransformer lensTransformer

### lensGraphMouse

    protected ModalGraphMouse lensGraphMouse

### lens

    protected AbstractLensSupport.Lens lens

### lensControls

    protected AbstractLensSupport.LensControls lensControls

### defaultToolTipText

    protected String defaultToolTipText

### instructions

    protected static final String instructions

See Also:
  Constant Field Values

Constructor Detail

### AbstractLensSupport

    public AbstractLensSupport(VisualizationViewer vv,
                               ModalGraphMouse lensGraphMouse)

  create the base class, setting common members and creating a custom GraphMouse

Parameters:
  `vv` - the VisualizationViewer to work on

Method Detail

### activate

    public void activate(boolean state)

  Specified by:
    `activate` in interface `LensSupport`

### getLensTransformer

    public LensTransformer getLensTransformer()

  Specified by:
    `getLensTransformer` in interface `LensSupport`

### getGraphMouse

    public ModalGraphMouse getGraphMouse()

  Specified by:
    `getGraphMouse` in interface `LensSupport`
  Returns:
    Returns the hyperbolicGraphMouse.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD